<div class="row">
    <div class="col-xs-8 col-xs-offset-2 col-sm-6 col-sm-offset-3 col-md-4 col-md-offset-4">
        <div class="panel" ng-controller="loginController as self">
            <?php if ($this->partial) { ?>
            <form name="loginForm" ng-submit="self.submitPartial(loginForm)">
            <?php } else { ?>
            <form action="<?= $this->url('user/auth/login') . (!$this->url ? '' : '?url=' . urlencode($this->url)) ?>" method="post" name="loginForm">
            <?php } ?>
                <div class="panel-heading text-center">
                    <h3>
                        <?= $this->environment()->getName() === 'client' ? $this->environment()->getClient()->getName() : $this->translate('admin_site_title') ?>
                    </h3>
                    <?php if ($this->partial) : ?>
                        <br />
                        <h4 class="text-danger"><?= $this->translate('user_form_login_expired') ?></h4>
                        <br />
                    <?php endif; ?>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <?php if ($this->error || $this->partial) : ?>
                            <div class="col-xs-12" <?= ($this->partial ? 'ng-if="self.error"' : '')?>>
                                <div class="alert alert-danger">
                                    <?php if (is_string($this->error)): ?>
                                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                                        <?= $this->error ?>
                                    <?php else: ?>
                                        <?= $this->translate('user_form_login_error') ?>
                                    <?php endif ?>
                                </div>
                            </div>
                        <?php endif; ?>

                        <?php if ($this->environment()->getName() === 'client' && $this->environment()->getClient()->getLogo()) : ?>
                            <div class="col-xs-12 text-center hidden-xs">
                                <img src="<?= $this->basepath($this->environment()->getClient()->getLogo()) ?>" style="max-height: 200px;"/>
                            </div>
                        <?php endif; ?>

                        <div class="col-xs-12">
                            <div class="form-group">
                                <label for="login"><?= $this->translate('user_field_login') ?> :</label>
                                <input id="login" name="login" type="text" class="form-control" required autofocus
                                       ng-model="auth.login" />
                            </div>

                            <div class="form-group">
                                <label for="password"><?= $this->translate('user_field_password') ?> :</label>
                                <input id="password" name="password" type="password" class="form-control" required
                                       ng-model="auth.password" />
                            </div>

                            <div class="form-group text-right">
                                <a href="<?= $this->url('user/auth/recover') ?>" <?= ($this->partial ? 'target="_blank"' : '') ?>>Mot de passe oublié ?</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="panel-footer">
                    <button type="submit" class="btn btn-block btn-login" ng-disabled="self.loading">
                        <?= $this->icon('loading', '', ['ng-if' => 'self.loading']) ?>
                        <?= $this->translate('user_form_login_submit') ?>
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php
    $this->angular('js/src/user/controller/login.js');
